# Class VMStartException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sun.jdi.connect.VMStartException

All Implemented Interfaces:
  `Serializable`

public class VMStartException extends Exception
A target VM was successfully launched, but terminated with an error before a connection could be established. This exception provides the `Process` object for the launched target to help in diagnosing the problem.

Since:
  1.3
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VMStartException(Process process)`
`VMStartException(String message, Process process)`

## Method Summary

Modifier and Type
Method
Description
`Process`
`process()`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VMStartException

public VMStartException(Process process)

### VMStartException

public VMStartException(String message, Process process)

## Method Details

### process

public Process process()